MediaWiki:Common.css: различия между версиями

мНет описания правки
мНет описания правки
Строка 361: Строка 361:
--theme-bg-color-50: #1f1f24;
--theme-bg-color-50: #1f1f24;
--theme-bg-color-100: #202025;
--theme-bg-color-100: #202025;
--theme-bg-color-200: color-mix(in srgb, var(--theme-bg-color-100) 50%, hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + 4%)));
--theme-bg-color-150: color-mix(in srgb, var(--theme-bg-color-100) 50%, hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + 5%)));
--theme-bg-color-250: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 4%));
--theme-bg-color-250: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 5%));
--theme-bg-color-300: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 6%));
--theme-bg-color-300: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 7%));
--theme-bg-color-400: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 9%));
--theme-bg-color-400: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 9%));
--theme-bg--rgba: 51, 51, 63;
--theme-bg--rgba: 51, 51, 63;
Строка 569: Строка 569:
blockquote {
blockquote {
background: var(--theme-bg-color-100);
background: var(--theme-bg-color-100);
border-left: 4px solid var(--theme-bg-color-200);
border-left: 4px solid var(--theme-bg-color-150);
padding: 8px 32px;
padding: 8px 32px;
overflow: hidden;
overflow: hidden;
Строка 1058: Строка 1058:
.navbox-subgroup .navbox-abovebelow {
.navbox-subgroup .navbox-abovebelow {
background: var(--theme-bg-color-250); /* Level 2 color */
background: var(--theme-bg-color-250); /* Level 2 color */
border-right: 1px solid var(--theme-bg-color-200);
border-right: 1px solid var(--theme-bg-color-150);
border-bottom: 1px solid var(--theme-bg-color-200);
border-bottom: 1px solid var(--theme-bg-color-150);
border-top: none;
border-top: none;
}
}
Строка 1090: Строка 1090:


.navbox td:not(:has(table)), .navbox ul {
.navbox td:not(:has(table)), .navbox ul {
background: var(--theme-bg-color-200);
background: var(--theme-bg-color-150);
padding: 4px 2px !important;
padding: 4px 2px !important;
}
}
Строка 1688: Строка 1688:
figure[typeof~='mw:File/Thumb'] > figcaption, figure[typeof~='mw:File/Frame'] > figcaption {
figure[typeof~='mw:File/Thumb'] > figcaption, figure[typeof~='mw:File/Frame'] > figcaption {
padding: 0.25em 0.5em 0.5em 0.5em;
padding: 0.25em 0.5em 0.5em 0.5em;
background: var(--theme-bg-color-200);
background: var(--theme-bg-color-150);
border-color: var(--theme-border-color-base);
border-color: var(--theme-border-color-base);
border-radius: var(--border-radius-low);
border-radius: var(--border-radius-low);
Строка 1695: Строка 1695:
/*=== Gallery ===*/
/*=== Gallery ===*/
.mw-body li.gallerybox div.thumb {
.mw-body li.gallerybox div.thumb {
background: var(--theme-bg-color-200);
background: var(--theme-bg-color-150);
border-color: var(--theme-border-color-base);
border-color: var(--theme-border-color-base);
border-radius: var(--border-radius-low) var(--border-radius-low) 0 0;
border-radius: var(--border-radius-low) var(--border-radius-low) 0 0;
Строка 2593: Строка 2593:
ul#filetoc, .toc, .toccolours, .mw-warning {
ul#filetoc, .toc, .toccolours, .mw-warning {
border-radius: 0.5em;
border-radius: 0.5em;
background: var(--theme-bg-color-200);
background: var(--theme-bg-color-150);
padding: 12px;
padding: 12px;
box-sizing: border-box;
box-sizing: border-box;
Строка 5099: Строка 5099:


.druid-container {
.druid-container {
background: var(--theme-bg-color-200);
background: var(--theme-bg-color-150);
float: right;
float: right;
clear: right;
clear: right;
Строка 5157: Строка 5157:
.druid-main-image,
.druid-main-image,
.druid-main-images {
.druid-main-images {
background: var(--theme-bg-color-200);
background: var(--theme-bg-color-150);
border-bottom: 1px solid var(--druid-border-color);
border-bottom: 1px solid var(--druid-border-color);
padding: 2px 0;
padding: 2px 0;
Строка 5274: Строка 5274:


.druid-container tbody tr.druid-row:nth-child(3) th {
.druid-container tbody tr.druid-row:nth-child(3) th {
border-right: 1px solid var(--theme-bg-color-200) !important;
border-right: 1px solid var(--theme-bg-color-150) !important;
}
}


.druid-container tr:not(.data-druid-section):nth-child(odd) {
.druid-container tr:not(.data-druid-section):nth-child(odd) {
background: var(--theme-bg-color-200);
background: var(--theme-bg-color-150);
}
}


Строка 5286: Строка 5286:


.druid-container tr:nth-child(even) th:not([colspan]) {
.druid-container tr:nth-child(even) th:not([colspan]) {
border-right: 1px solid var(--theme-bg-color-200);
border-right: 1px solid var(--theme-bg-color-150);
}
}